package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DataAuditDetailMapper;
import com.sa.ibiz.demo.demo.domain.DataAuditDetail;
import com.sa.ibiz.demo.demo.service.DataAuditDetailService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DataAuditDetailSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataAuditService;

/**
 * 实体[DataAuditDetail] 服务对象接口实现
 */
@Service
public class DataAuditDetailServiceImpl extends ServiceImplBase<DataAuditDetailMapper, DataAuditDetail> implements DataAuditDetailService{

    @Autowired
    private DataAuditService dataauditService;

    @Resource
    private DataAuditDetailMapper dataauditdetailMapper;


    @Override
    public boolean create(DataAuditDetail et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DataAuditDetail et){
        this.beforeUpdate(et);
		this.dataauditdetailMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DataAuditDetail et){
		return et.getDataauditdetailid();  
    }

    @Override
    public boolean getDraft(DataAuditDetail et)  {
    if((!StringUtils.isEmpty(et.getDataauditid())) && et.getDataaudit() == null){
            try {
                et.setDataaudit(dataauditService.getById(et.getDataauditid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<DataAuditDetail> listDefault(DataAuditDetailSearchFilter filter) {
		return dataauditdetailMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DataAuditDetail> searchDefault(DataAuditDetailSearchFilter filter) {
		return dataauditdetailMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return dataauditdetailMapper.selectRow(sql);
    }

 }